<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
$store_pin_id = $settings['_store_pin_id'];
$x_api_key = $settings['x_api_key'];
$disable_skeleton_css = $settings['_disable_skeleton_css'];
$disable_multisite = $settings['_disable_multisite'];
//DilleApp_Logger::instance()->add("settings: " . print_r($settings, true));
?>

<div id="woocommerce" class="tabcontent" <?php if ($curren_tab == 'woocommerce') echo 'style="display: block;"'; ?>>
    <div class="diller-container">
        <div class="diller-row">
            <div class="diller-col-lg-7">
                <h4 class="diller-heading-tab">Connect your store to WooCommerce</h4>
                <span class="diller-p-tab">Contact your partner to get your API-Key and Store ID.</span>
                <div class="">
                    <?php $decryption = openssl_decrypt($x_api_key, $ciphering, $encryption_key, $options, $encryption_iv); ?>
                    <div class="diller-col-lg-9">
                        <form class="diller-form" action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
                            <div class="diller-form-group">
                                <label>API-Key <?php echo key_exists('x-api-key', $erros) ? '<span class="notice notice-info">' . $erros['x-api-key'] . '</span>' : ''; ?></label><br>
                                <input type="password" name="x-api-key" value="<?php echo $decryption; ?>" class="diller-form-control">
                            </div>
                            <div class="diller-form-group">
                                <label>Store ID <?php echo key_exists('_store_pin', $erros) ? '<span class="notice notice-info">' . $erros['_store_pin'] . '</span>' : ''; ?></label><br>
                                <input type="text" name="_store_pin" value="<?php echo $store_pin_id ?>" class="diller-form-control">
                            </div>
                            <label class="diller-custom-checkbox">
                                <input type="checkbox" name="_disable_skeleton_css" <?php echo $disable_skeleton_css == 1 ? 'checked' : '' ?>>
                                <span class="diller-custom-checkmark"></span>
                                <span class="diller-label-text">Disable skeleton CSS</span>
                            </label>
                            <label class="diller-custom-checkbox">
                                <input type="checkbox" name="_disable_multisite" <?php echo $disable_multisite == 1 ? 'checked' : '' ?>>
                                <span class="diller-custom-checkmark"></span>
                                <span class="diller-label-text">PCK Nettbutikk</span>
                            </label>

                            <a href="#"><button type="submit" name="diller_admin_submit" class="diller-btn">Save Settings</button></a>
                        </form>
                    </div>
                </div>
                <hr class="diller-section-border">
            </div>
            <div class="diller-col-lg-5">
                <img class="diller-partner-img" src="<?php echo DILLERAPP_ASSETS_IMG_URL . 'onboarding-back.svg'; ?>" />
            </div>
            <div class="diller-col-lg-7">
                <?php
                $admin_response = Dillerapp::diller_wc_admin_details();
                if (!empty($admin_response['store_id'])) { ?>
                    <h4 class="diller-sub-heading">Subscription Page</h4>
                    <span class="diller-p-tab">Link to the subscription page where customers can join your loyalty program.</span>
                    <a class="diller-link" href="<?= site_url('/') . 'innmelding-kundeklubb'; ?>"><?= site_url('/') . 'innmelding-kundeklubb'; ?></a>
                <?php } ?>
                <p class="diller-version">Version 1.6</p>
            </div>
        </div>
    </div>
</div>
<?php $admin_response = Dillerapp::diller_wc_admin_details(); ?>