<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class Diller_Ajax
{
    public static function dillerapp_insert_user()
    {
        $admin_response = Dillerapp::diller_wc_admin_details();
        $request = array(
            'store_id' => $admin_response['store_id']
        );
        $data = http_build_query($request);
        $res_count = Dillerapp::dillerapp_post_request_function($data, 'PosV1/getMemberCount');
        $res = Dillerapp::dillerapp_post_request_function($data, 'PosV1/getAllMemberList');
        //$users = get_users( array( 'fields' => array( 'ID' ) ) );
        $users = get_users();
        if ($res && $res->status == 200) {
            foreach ($res->result as $key => $value) {
               // foreach ($users as $user) {
                    //$data_user = get_user_meta ( $user->ID); 
                    $first_name   = $value->first_name;
                    $last_name    = $value->last_name;
                    $user_login   = $value->email;
                    $user_email   = $value->email;
                    $county       = $value->country_code;
                    $mob          = $value->phone;
                    $phone        = $value->country_code . $value->phone;
                    $address      = $value->address;
                    $city         = $value->city;
                    $zip_code     = $value->zip_code;
                    $country      = $value->country;
                    $wp_follower  = $user->user_email;
                    $diller_retail = $value->email;
                    $receive_sms  = isset($value->receive_sms) && $value->receive_sms == 'Yes' ? 1 : 0;
                    $receive_email = isset($value->receive_email) && $value->receive_email == 'Yes' ? 1 : 0;
                    $is_purchase_history = isset($value->is_purchase_history) && $value->is_purchase_history == 'Yes'  ? 1 : 0;

                    if ($wp_follower == $diller_retail) {

                        update_user_meta($user->ID, 'country_code', $county);
                        update_user_meta($user->ID, 'phone', $mob);
                        update_user_meta($user->ID, 'mob_no', $phone);
                        update_user_meta($user->ID, 'loyalty_program', 1);
                        update_user_meta($user->ID, 'sms_check', $receive_sms);
                        update_user_meta($user->ID, 'email_check', $receive_email);
                        update_user_meta($user->ID, 'is_purchase_history', $is_purchase_history);
                        update_user_meta($user->ID, ' _order_count', 0);
                        update_user_meta($user->ID, ' billing_email', $wp_follower);
                    } else {
                        $password     = wp_generate_password(12, false);
                        $new_user_id  = wp_insert_user(
                            array(
                                'first_name'    => $first_name,
                                'last_name'     => $last_name,
                                'user_login'    => $mob,
                                'user_pass'     => $password,
                                'user_email'    => $user_email,
                                'user_registered' => date('Y-m-d H:i:s'),
                                'role'        => 'customer'
                            )
                        );
                        //wp_new_user_notification( $new_user_id, null, 'user' );
                        update_user_meta($new_user_id, 'billing_address_1', $address);
                        update_user_meta($new_user_id, 'billing_city', $city);
                        update_user_meta($new_user_id, 'billing_postcode', $zip_code);
                        update_user_meta($new_user_id, 'billing_country', $country);
                        update_user_meta($new_user_id, 'billing_email', $user_email);
                        update_user_meta($new_user_id, 'country_code', $county);
                        update_user_meta($new_user_id, 'phone', $mob);
                        update_user_meta($new_user_id, 'mob_no', $phone);
                        update_user_meta($new_user_id, 'loyalty_program', 1);
                        update_user_meta($new_user_id, 'sms_check', $receive_sms);
                        update_user_meta($new_user_id, 'email_check', $receive_email);
                        update_user_meta($new_user_id, 'is_purchase_history', $is_purchase_history);
                        update_user_meta($new_user_id, ' _order_count', 0);
                    }
                    $items = array();
                    $items[] = $value->user_follower_id;

                    $request1 = array(
                        'store_id' => $admin_response['store_id'],
                        'user_follower_id' => $items
                    );
                    $update_res = Dillerapp::dillerapp_post_request_function($request1, 'PosV1/updateWpImportStatus');
                //}
            }
        }
    }

    public static function woocommerce_cart_coupon_list()
    {

        $admin_response = Dillerapp::diller_wc_admin_details();

        $login_user = Dillerapp::dillerapp_get_require_param_function();
        if (!empty($admin_response)) {
            $store_pin = $admin_response['store_id'];
            $diller_loyalty_program_status = Dillerapp::dillerapp_checked_user_loyalty_status();
            if ($diller_loyalty_program_status == 1) {
                echo do_shortcode('[cart_coupons store_pin="' . $store_pin . '"]');
            }
        }

        if (isset($_REQUEST['test'])) {
            $aux = $_REQUEST['test'];
            $coupon_code = $aux;
            if (WC()->cart->has_discount($coupon_code)) return;
            WC()->cart->apply_coupon($coupon_code);
            wc_print_notices();
        }
    }
}

add_action('woocommerce_before_cart', 'Diller_Ajax::woocommerce_cart_coupon_list');


add_action('wp_ajax_dillerapp_insert_user', 'Diller_Ajax::dillerapp_insert_user');
add_action('wp_ajax_nopriv_dillerapp_insert_user', 'Diller_Ajax::dillerapp_insert_user');
add_action('wp_ajax_woocommerce_cart_coupon_list', 'Diller_Ajax::woocommerce_cart_coupon_list');
add_action('wp_ajax_nopriv_woocommerce_cart_coupon_list', 'Diller_Ajax::woocommerce_cart_coupon_list');
