<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
class DilleApp_Logger
{
    private static $instance = null;
    private $_domain = 'diller-app';
    private $_logger;

    public static function instance()
    {
        if (null === self::$instance) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    private function __construct()
    {
        $this->_logger = new WC_Logger();
    }

    public function add($param)
    {
        if (is_array($param) || is_object($param)) {
            $param = print_r($param, true);
        }

        $this->_logger->add($this->_domain, $param);
    }

    public function separator($title = "")
    {
        $this->add("--------------------$title--------------------");
    }
}
