<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
$admin_response = Dillerapp::diller_wc_admin_details();
?>
<?php if (array_key_exists('dillerapp_insert_user', $_POST)) {
      Diller_Ajax::dillerapp_insert_user();
    } ?>
<div id="import" class="tabcontent" <?php if ($curren_tab == 'import-data') echo 'style="display: block;"'; ?>>
    <div class="diller-container">
        <div class="diller-row">
            <div class="diller-col-lg-7">
                <h4 class="diller-heading-tab"><?= ($admin_response['language'] == 2 ? 'Connect your store to import members' : 'Koble til din butikk for å importere medlemmer'); ?></h4>
                <span class="diller-p-tab"><?= ($admin_response['language'] == 2 ? 'Contact your partner to get started with importing members.' : 'Kontakt din partner for å få hjelp til å importere medlemmer fra Diller.'); ?></span>
                <div class="diller-col-lg-9">
                    <?php
                    $res_count = Dillerapp::dillerapp_post_request_function($admin_response, 'PosV1/getMemberCount');
                    if ($res_count) {
                        $diller_counnt = $res_count->result;
                    }
                    if (!empty($admin_response['store_id'])) {  ?>
                        <button type="button" class="diller-btn diller-margin" id="startpopup" data-toggle="modal" data-target="#exampleModalCenter"><?= ($admin_response['language'] == 2 ? 'Start import' : 'Start importering'); ?></button>
                        <div class="modal fade white-modal-blur" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered text-center" role="document">
                                <div class="modal-content">
                                    <div class="modal-body">
                                        <p class="diller-heading"><?= ($admin_response['language'] == 2 ? 'Are you sure, import all the users form diller loyalty program?' : 'Er du helt sikker på at du ønsker å importere alle medlemmene fra Diller til Wordpress?'); ?></p>
                                        <p class="diller-heading"><?php if ($admin_response['language'] == 2) { ?>
                                                We have <?php echo $diller_counnt; ?> members in diller Loyalty program.
                                            <?php } else { ?>
                                                Du har <?php echo $diller_counnt; ?> medlemmer i Diller.
                                            <?php } ?></p>
                                    </div>
                                    <div class="diller-modal-footer">
                                        <button type="button" class="diller_send_sms_link" data-dismiss="modal"><?= ($admin_response['language'] == 2 ? 'No, Cancel' : 'Nei, avbryt'); ?></button>
                                        <button type="submit" id="save_insert" class="diller-btn-popup" name="dillerapp_insert_user" value="dillerapp_insert_user"><?= ($admin_response['language'] == 2 ? 'Start import' : 'Start importering'); ?></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Modal template -->
                        <div class="modal fade white-modal-blur" id="please-wait">
                            <div class="modal-dialog modal-dialog-centered modal-md">
                                <div class="modal-content white-card">
                                    <div class="modal-body pl-4 pr-4 pt-4 pb-4">
                                        <div class="row">
                                            <div class="dillerb-col-lg-10 m-auto dillerb-col-md-12">
                                                <h6 class="mb-5 mt-2 text-center diller-heading"><?= ($admin_response['language'] == 2 ? 'Please wait.. we are importing all the diller!' : 'Vennligst vent.. vi importerer medlemmene.'); ?></h6>
                                                <img class="m-auto w-75 d-block" src="<?php echo DILLERAPP_ASSETS_IMG_URL . 'please-wait-modal.gif'; ?>" />
                                            </div>
                                            <div class="dillerb-col-lg-9 m-auto d-block text-center dillerb-col-md-8">
                                                <div class="diller-modal-progress mt-5 mb-3" id="diller-progress-bar" style="width: 0%">
                                                    <div class="diller-progress-active"></div>
                                                </div>
                                                <h6 class="mb-3 mt-2 text-center diller-heading" id="diller-progress-number">0%</h6>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Modal template -->
                        <div class="modal fade white-modal-blur show" id="success-sms" aria-modal="true">
                            <div class="modal-dialog modal-dialog-centered modal-md">
                                <div class="modal-content white-card">
                                    <div class="modal-body pl-4 pr-4 pt-4 pb-4">
                                        <div class="row">
                                            <div class="dillerb-col-lg-10 m-auto dillerb-col-md-12">
                                                <h6 class="mb-5 mt-2 text-center diller-heading"><?= ($admin_response['language'] == 2 ? 'We have imported all the diller members' : 'Suksess! Vi har importert medlemmene.'); ?></h6>
                                                <img class="m-auto w-50 d-block" src="<?php echo DILLERAPP_ASSETS_IMG_URL . 'success-sms-modal.png'; ?>" />
                                            </div>
                                            <div class="dillerb-col-lg-9 m-auto d-block text-center dillerb-col-md-8">
                                                <div class="diller-modal-progress mt-5 mb-3">
                                                    <div class="diller-progress-active" style="width:100%"></div>
                                                </div>
                                                <h6 class="mb-3 mt-2 text-center diller-heading">100%</h6>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    <?php } else {  ?>
                        <span class="diller-not-connect"><?= ($admin_response['language'] == 2 ? 'Please connect to diller store' : 'Du må koble til butikken i Diller for å bruke import funksjonaliteten.'); ?></span>

                    <?php  } ?>

                    <hr class="diller-section-border">
                </div>
            </div>
            <div class="diller-col-lg-5">
                <img class="diller-partner-img" src="<?php echo DILLERAPP_ASSETS_IMG_URL . 'onboarding-back.svg'; ?>" />
            </div>

        </div>
    </div>
</div>