function dillerapp_myFunction() {
  var checkBox = document.getElementById("privacy_policy");
  if (checkBox.checked == true){
    document.getElementById("custom_sms").disabled = false;
    document.getElementById("custom_email").disabled = false;
  } else {
    document.getElementById("custom_sms").disabled = true;
    document.getElementById("custom_email").disabled = true;
  }
}

function loyaltyCheck(){
  var checkBox = document.getElementById("loyalty_program");
  if (checkBox.checked == true){
    checkBox.value = 1;
    document.getElementById("sms_check").disabled = false;
    document.getElementById("email_check").disabled = false;
  }else{
    checkBox.value = 0;
    document.getElementById("sms_check").disabled = true;
    document.getElementById("email_check").disabled = true;
  }
}

function loyaltySMS(){
  var checkBox = document.getElementById("sms_check");
  if (checkBox.checked == true){
    checkBox.value = 1;
  }else{
    checkBox.value = 0;
  }
}

function loyaltyEmail(){
  var checkBox = document.getElementById("email_check");
  if (checkBox.checked == true){
    checkBox.value = 1;
  }else{
    checkBox.value = 0;
  }
}

jQuery("#adduser").on("submit",function(form)
{
    if(!jQuery("#agree_checkbox").prop("checked"))
    {
        jQuery("#agree_chk_error").show();
    }
    else
    {
        jQuery("#agree_chk_error").hide();
    }
    return false;
})

  
jQuery(document).ready( function($){ 
$('#updateuser').click (function ()  
{  
 if($(this).is(":not(:checked)"))  
{  
$("#result").html ("please follow the terms and conditions.");  
}  
});  
});  
 

jQuery(document).on('change','#phone',function (argument) {
 
  phone  =  jQuery(this).val(); 
  //console.log(phone);
  jQuery.get(API_URL+"PosV1/getFollowerDetailsByPhone/" + phone , function (response) {
      if(response.status==200) {
        result =  response.result.contacts[0];
            console.log(result); 
            jQuery('#diller_follower_first_name').val(result.firstName);
            jQuery('#diller_follower_last_name').val(result.lastName);
            jQuery('#diller_follower_city').val(result.geography.municipality);
            jQuery('#diller_follower_county').val(result.geography.county);
          
            jQuery('#diller_follower_zipcode').val(result.geography.address.postCode);
            jQuery('#diller_follower_address').val(result.geography.address.addressString);

      } else {
            jQuery('#diller_follower_first_name').val('');
            jQuery('#diller_follower_last_name').val('');
            jQuery('#diller_follower_city').val('');
            jQuery('#diller_follower_county').val('');
          
            jQuery('#diller_follower_zipcode').val('');
            jQuery('#diller_follower_address').val('');
      }
  });
});

jQuery( document ).ready(function() {
    //console.log( "ready!" );
    var input = document.querySelector("#phone");

    if (jQuery(input).length)
    {
      var iti = window.intlTelInput(input, {
      separateDialCode:true,
      formatOnDisplay: false,
       autoPlaceholder: "off",
      utilsScript: SCRIPT_URL,
      });
      window.iti = iti;
      jQuery( "#phone" ).trigger( "change" );
      
      
    }
  });


function getCountryCode() {
    var q =  iti.getNumber();
    //console.log(q);
    var countryData = iti.getSelectedCountryData();
    //console.log(countryData);
    jQuery('#country_code').val('+'+countryData.dialCode);         
    return true;
}

jQuery( document ).ready(function() {
  jQuery( ".woocommerce-EditAccountForm" ).submit(function( event ) {
    getCountryCode();    
  });
});

var isShift = false;
var seperator = ".";
window.onload = function () {     

    //Reference the Table.
    var tblForm = document.getElementById("diller-subscription");

    //Reference all INPUT elements in the Table.
    var inputs = document.getElementById("date_of_birth");

     if( jQuery('#date_of_birth').length ) {

        //Set Max Length.
        //nputs.setAttribute("maxlength", 10);

        //Only allow Numeric Keys. 
        inputs.onkeydown = function (e) {
          return IsNumeric(this, e.keyCode);
        };
                
        //Validate Date as User types.
        inputs.onkeyup = function (e) {
          ValidateDateFormat(this, e.keyCode);
        };           
     }         
            

};

function IsNumeric(input, keyCode) {
    if (keyCode == 16) {
      isShift = true;
    }
    //Allow only Numeric Keys.
    if (((keyCode >= 48 && keyCode <= 57) || keyCode == 8 || keyCode <= 37 || keyCode <= 39 || (keyCode >= 96 && keyCode <= 105)) && isShift == false) {
          if ((input.value.length == 2 || input.value.length == 5) && keyCode != 8) {
                    input.value += seperator;
          }
        return true;
    }
    else {
      return false;
    }
};

function ValidateDateFormat(input, keyCode) {
    var dateString = input.value;
    if (keyCode == 16) {
      isShift = false;
    }
    var regex = /(((0|1)[0-9]|2[0-9]|3[0-1])\.(0[1-9]|1[0-2])\.((19|20)\d\d))$/;
    if (regex.test(dateString) || dateString.length == 0) {
      // ShowHideError(input, "none");
    } else {
      // ShowHideError(input, "block");
    }
};

function ShowHideError(textbox, display) {
    var row = textbox.parentNode;
    var errorMsg = row.getElementsByTagName("span")[0];
    if (errorMsg != null) {
      errorMsg.style.display = display;
    }
}

jQuery(document).ready( function($){
  $( "#date_of_birth" ).on("change",function(){
    jQuery.validator.addMethod("dateOfBirth", function(value, element) {
      var regex = /(((0|1)[0-9]|2[0-9]|3[0-1])\.(0[1-9]|1[0-2])\.((19|20)\d\d))$/;
        if (regex.test(value) || value.length == 0) {
          return true;
        } else {
          return false;
        }
    }, 'Feil format. Bruk dd.mm.åååå');
  $( "#diller-subscription" ).validate({
    errorClass: "diller-error",
    errorElement: 'span',
    rules: {
      date_of_birth: {
        dateOfBirth : true
      }
    },
  });
});
});

jQuery( document ).ready(function() {
  
  jQuery("#email").on("change",function(){
   jQuery("#email_error").html('');
    checkEmail();
  });   

});   

function checkEmail() {
 
  var email = jQuery("#email").val();
  
  var isSuccess = false;
  if (email!="") {

    jQuery.ajax({
        type: 'post',
        url: API_URL+'PosV1/checkFollowerEmail',
        data: { email : email,store_id : diller_store_id, user_id : diller_user_id},
        async: false,
        dataType : "JSON",
        success: function(response) {        
          if (response.status==200) {
              isSuccess = true;
          } else if (response.status==400) {
             jQuery("#email_error").html(response.message);
            isSuccess =  false;
          } else {
            isSuccess =  false;
          }
        }           
    });
   return isSuccess;
  } else {
   return isSuccess;    
  }
  
}

jQuery( document ).ready(function() {
  
  jQuery("#phone").on("change",function(){
   jQuery("#phone_error").html('');
    checkPhone();
  });   

});
function resetphone(){

jQuery(document).ready(function(){
  getCountryCode();
    var phone = jQuery("#test").val();
    var old_country = jQuery("#old_country").val();
    
    jQuery("#phone").on("change",function(){
    var newphone = jQuery(".demotset").val();
    var country_code = jQuery("#country_code").val();
    
     jQuery("#phone_msg").html('');
     
   console.log(old_country);
    console.log(newphone);
      
      

    jQuery.ajax({
        type: 'post',
        url: API_URL+'PosV1/resetPhoneNumber',
        data: {country_code : old_country, phone:phone, change_country_code : old_country, change_phone:newphone, store_id : diller_store_id},
        async: false,
        dataType : "JSON",


        success: function(response) {


           if (response.status==200) {
             jQuery('#mobileOtp').css('display','block');
             jQuery("#phone_msg").html(response.message);
            //isSuccess1 =  false;
           } else if (response.status==400) {
              jQuery("#phone_msg").html(response.message);
            //isSuccess =  false;
          } else {
            isSuccess1 =  false;
          }
        }      
              
    });
     });
    });



}


function checkPhone() {
  getCountryCode();
  var phone = jQuery("#phone").val();
  var country_code = jQuery("#country_code").val();
  var isSuccess = false;
  if(phone!="") {
    jQuery.ajax({
        type: 'post',
        url: API_URL+'PosV1/checkFollowerPhoneNew',
        data: { country_code : country_code, phone:phone, store_id : diller_store_id, user_id : diller_user_id},
        async: false,
        dataType : "JSON",
        success: function(response) {
          if (response.status==200) {
              isSuccess = true;
              if(!jQuery.isEmptyObject(response.result)){
                //alert("hello");
                jQuery( "input[name='q_hidden']" ).val(response.result.user_id);
              } else {
                // alert("hello1");
                // jQuery( "input[name='q_hidden']" ).val('');
              }
          } else if (response.status==400) {
             jQuery("#phone_error").html(response.message);
            isSuccess =  false;
          } else {
            isSuccess =  false;
          }
        }
    });
    return isSuccess;
  } else {
    return isSuccess;
  }
}

function isNumberKey(evt)
{
  var charCode = (evt.which) ? evt.which : evt.keyCode;
  if (charCode != 46 && charCode > 31 && (charCode < 48 || charCode > 57))
  return false;

  return true;
}


jQuery(document).ready( function($){

$('.cart_demo button').click(function(){
    const test=  $(this).val();
    if(test){
      $("#coupon_code").val(test);
      $("[name='apply_coupon']").trigger("click");
    }
});

});

 jQuery(function () {
    
    if (jQuery('.dimension_value1').length) {

          jQuery(".dimension_value1").datetimepicker({
          format: 'yyyy-mm-dd hh:ii:ss',
          minDate : 0,
          autoclose: true
        });
    }

});


