<?php
function dillerapp_refer_friend($attr) {

	if(!empty($attr)){
	
		$user_request = Dillerapp::dillerapp_get_require_param_function();
		$admin_request = Dillerapp::diller_wc_admin_details();
		
		if(!empty($_POST)){
			$user_request['first_name'] = $_POST['first_name'];
			$user_request['last_name'] = $_POST['last_name'];
			$user_request['email'] = $_POST['email'];
			$data = http_build_query($user_request);
			$response = Dillerapp::dillerapp_post_request_function($user_request, 'PosV1/referAFriend');
			if($response && $response->status == 200){
				echo '<div class="diller-alert diller-alert-success diller-alert-dismissible">
						<strong>Suksess!</strong>' .$response->message.
				'</div>'; 		
		    	
		    }else{
		    	echo '<div class="diller-alert diller-alert-danger diller-alert-dismissible">'. $response->message.'</div>';	    	
		    }	
		}

    	$getStoreDetails = Dillerapp::get_store_details();
    	$earn_point=0; $point_system=0;
    	if($getStoreDetails && $getStoreDetails->status==200){
    		$earn_point=$getStoreDetails->result->refer_a_friend_point?$getStoreDetails->result->refer_a_friend_point:0;
    		$point_system=$getStoreDetails->result->point_system?$getStoreDetails->result->point_system:0;
    	}		
	?>

	<form action="" method="post" name="formRefer" id="formRefer">
	  
		<h2 class="diller_h2_tag"><?= REFERFRIEND; ?></h2>
		<?php if($point_system == 1 && $earn_point!=0){ ?>
		<p class="diller_p_tag"><?= ($admin_request['language'] == 2 ? 'Earn '. $earn_point.' points per referral to join our loyalty program.' : 'Tjen '. $earn_point.' poeng per venn du verver til vår kundeklubb.'); ?></p>
		<?php }else{ ?>
		<p class="diller_p_tag">
		<?= BENIFITS; ?>
		</p>
		<?php } ?>		
		
		<div class="diller-form-group">
      		<label><?= FIRST_NAME; ?> <span class="diller-form-required">*</span></label>
      		<input type="text" placeholder="<?= FIRST_NAME; ?>" name="first_name" class="diller-form-control" required>
    	</div>

    	<div class="diller-form-group">
      		<label><?= LAST_NAME; ?> <span class="diller-form-required">*</span></label>
      		<input type="text" placeholder="<?= LAST_NAME; ?>" name="last_name" class="diller-form-control" required>
    	</div>

    	<div class="diller-form-group">
      		<label><?= EMAIL; ?> <span class="diller-form-required">*</span></label>
      		<input type="email" placeholder="<?= EMAIL; ?>" name="email" class="diller-form-control" required>
   	 	</div>

	   <?php $point_bar_color=Dillerapp::store_details_background_btn(); ?>

	    <button type="submit" name="submit" class="diller-btn diller-w-100 diller-mt-3 diller-mb-3" style="background-color: <?php echo $point_bar_color ?>;"><?= SENDINVITATION; ?></button>
	  
	</form>
	
	<?php
		$getFollowerDetails = Dillerapp::dillerapp_post_request_function($user_request, 'PosV2/getFollower');
		if($getFollowerDetails && $getFollowerDetails->status==200 && $getFollowerDetails->result->referFriendDetails){ ?>
			<table>
		<?php	
			foreach ($getFollowerDetails->result->referFriendDetails as $key => $value) {
		?>
			
				<tr>
					<td><?php echo $value->first_name.' '.$value->last_name; ?></td>
					<td><?php echo $value->email; ?></td>
					<td><?= ($value->status == 1 ? '<span class="diller_register">'.REG_COMPLETE.'</span>' : '<span class="diller_waiting">'.REG_AWAIT.'</span>'); ?></td>
					<?php if($point_system==1){ ?>
					<td class="diller_get_point"><?= ($value->status == 1 ? $earn_point : '0'); ?> <?= POINTS ?></td>	
					<?php } ?>
					
				</tr>				
		<?php
			}
		?>	
			</table>
		<?php	
		}		
	}else{
		$admin_request = Dillerapp::diller_wc_admin_details();
		if($admin_request['language'] == 2){
	  		echo "<div><p class='diller_red_title diller_p_tag'>You need to create account on dillerLoyalty. If you want to access Refer a friend.To create account <a href='".wc_get_page_permalink('myaccount')."/edit-account'>click here</a></p></div>";
	  	}else{
	    	echo "<div><p class='diller_red_title diller_p_tag'>Du må være medlem av vår kundeklubb for å få tilgang til våre kuponger og andre medlemsfordeler. <a href='".wc_get_page_permalink('myaccount')."/edit-account'>Gå hit</a> for å melde deg inn i vår kundeklubb for å få medlemsfordeler.</p></div>";
		}
 	}
}
add_shortcode('short_refer_friend', 'dillerapp_refer_friend');
?>